GDBserver

Public Attributes | List of all members
buffer Struct Reference

`#include "buffer.h"`

## Public Attributes
char * | buffer
size_t | buffer_size
size_t | used_size

## Detailed Description

Definition at line 23 of file buffer.h.

## Member Data Documentation

## ◆ buffer

char* buffer::buffer

Definition at line 25 of file buffer.h.

Referenced by buffer_finish(), buffer_free(), buffer_grow(), handle_qxfer_btrace(), and handle_qxfer_btrace_conf().

## ◆ buffer_size

size_t buffer::buffer_size

Definition at line 26 of file buffer.h.

Referenced by buffer_finish(), buffer_free(), and buffer_grow().

## ◆ used_size

size_t buffer::used_size

Definition at line 27 of file buffer.h.

Referenced by buffer_finish(), buffer_free(), buffer_grow(), handle_qxfer_btrace(), and handle_qxfer_btrace_conf().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/buffer.h